package com.zjugis.nature.gis.exception.enums;


import com.zjugis.nature.gis.exception.ErrorCode;

/**
 * 全局错误码枚举
 * 0-999 系统异常编码保留
 *
 * 一般情况下，使用 HTTP 响应状态码 https://developer.mozilla.org/zh-CN/docs/Web/HTTP/Status
 * 虽然说，HTTP 响应状态码作为业务使用表达能力偏弱，但是使用在系统层面还是非常不错的
 * 比较特殊的是，因为之前一直使用 0 作为成功，就不使用 200 啦。
 *
 * @author 
 */
public interface GlobalErrorCodeConstants {

    // ========== 图形数据 90001000 ==========
    ErrorCode CRS_CODE_ERROR = new ErrorCode(90001001, "坐标系错误!检查是否为4490坐标系!");
    ErrorCode CPG_FILE_NOT_FOUND = new ErrorCode(90001011, "找不到cpg文件!需要cpg、dbf、prj、sbn、sbx、shp、shx七个文件！");
    ErrorCode DBF_FILE_NOT_FOUND = new ErrorCode(90001012, "找不到dbf文件!需要cpg、dbf、prj、sbn、sbx、shp、shx七个文件！");
    ErrorCode PRJ_FILE_NOT_FOUND = new ErrorCode(90001013, "找不到prj文件!需要cpg、dbf、prj、sbn、sbx、shp、shx七个文件！");
    ErrorCode SBN_FILE_NOT_FOUND = new ErrorCode(90001014, "找不到sbn文件!需要cpg、dbf、prj、sbn、sbx、shp、shx七个文件！");
    ErrorCode SBX_FILE_NOT_FOUND = new ErrorCode(90001015, "找不到sbx文件!需要cpg、dbf、prj、sbn、sbx、shp、shx七个文件！");
    ErrorCode SHP_FILE_NOT_FOUND = new ErrorCode(90001016, "找不到shp文件!需要cpg、dbf、prj、sbn、sbx、shp、shx七个文件！");
    ErrorCode SHX_FILE_NOT_FOUND = new ErrorCode(90001017, "找不到shx文件!需要cpg、dbf、prj、sbn、sbx、shp、shx七个文件！");
    ErrorCode SHAPE_ANALYSIS_ERROR = new ErrorCode(90001018, "解析出错!请检查7个文件是否同名！");


    ErrorCode UNKNOWN = new ErrorCode(999, "未知错误");

}
