package com.zjugis.nature.gis.txt;

import com.zjugis.nature.gis.exception.MutiDataException;
import org.apache.tika.Tika;
import org.apache.tika.exception.TikaException;

import java.io.File;
import java.io.IOException;

/**
 * @Author 陈俊
 * @Date 2023/8/18 9:03
 * @Version 1.0
 */
public class TxtUtils {

    /**
     * 读取txt文件获取点位信息转为wkt字符串
     * @param txtFile
     * @return
     * @throws IOException
     * @throws TikaException
     */
    public static String getWkt(File txtFile) throws IOException, TikaException, MutiDataException {
        Tika tika = new Tika();
        String s = tika.parseToString(txtFile);
        // 获取坐标点文本
        String txt_cod = s.substring(s.indexOf("@") + 1);
        if(txt_cod.contains("@")){
            throw new MutiDataException("不支持解析多条数据!");
        }
        // 根据换行符分解坐标点文本
        String[] list_point = txt_cod.split("\n");
        StringBuilder sb = new StringBuilder();
        sb.append("POLYGON ");
        sb.append("((");
        for (String point  : list_point) {
            // 跳过无坐标部份的文本
            if (!point.contains("J"))
            {
                continue;
            }
            String[] split = point.split(",");
            String x = split[3].replaceAll("\\s*|\r|\n|\t","");
            String y = split[2].replaceAll("\\s*|\r|\n|\t","");
            sb.append(" ");
            sb.append(x);
            sb.append(" ");
            sb.append(y);
            sb.append(",");
        }
        sb.delete(sb.length() - 1, sb.length());
        sb.append(" ))");
        return sb.toString();
    }
}
